Debian Bug report logs - #358878
ITP: transmission -- lightweight bittorrent client

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Leo Costela" <costela@gmail.com>

Date: Fri, 24 Mar 2006 22:34:07 UTC

Owned by: costela@debian.org

Severity: wishlist

Merged with 358920

Fixed in version transmission/0.6.1.dfsg-1

Done: <costela@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#358878; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Leo Costela" <costela@gmail.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Leo Costela" <costela@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: transmission -- lightweight bittorrent client
Date: Fri, 24 Mar 2006 19:32:45 -0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist


* Package name    : transmission
  Version         : 0.5
  Upstream Author : Eric Petit <titer@m0k.org>
* URL             : http://transmission.m0k.org
* License         : MIT
  Description     : lightweight bittorrent client

Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top on an efficient, cross-platform
back-end.


--
Leo "Costela" Antunes
costela@gmail.com | costelaaa@ig.com.br | costela@debian.org
[Message part 2 (text/html, inline)]

Owner recorded as costela@debian.org. Request was from "Leo Costela" <costela@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 358878 358920. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, costela@debian.org:
Bug#358878; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "James Healy" <jimmy@deefa.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, costela@debian.org. Full text and rfc822 format available.

Message #14 received at 358878@bugs.debian.org (full text, mbox):

From: "James Healy" <jimmy@deefa.com>
To: 358878@bugs.debian.org
Subject: Transmission packaging attempt
Date: Sun, 11 Jun 2006 02:32:13 +1000
In attempt to learn how to create a debian package I've created some
packages for transmission v0.5.

I've found them useful - hopefully others might as well.

http://gir.deefa.com/debian/transmission/

James Healy



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, costela@debian.org:
Bug#358878; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Leo Antunes <costela@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, costela@debian.org. Full text and rfc822 format available.

Message #19 received at 358878@bugs.debian.org (full text, mbox):

From: Leo Antunes <costela@gmail.com>
To: James Healy <jimmy@deefa.com>, 358878@bugs.debian.org
Subject: Re: Bug#358878: Transmission packaging attempt
Date: Sun, 11 Jun 2006 13:23:35 -0300
I didn't take a look at you package, but I'm taking this mail as a poke
about "why the hell isn't this in Debian yet" :-)

The package I created is at
http://people.debian.org/~costela/index.php?page=packages.php
and I imagine it's not very different from yours, given the simplicity
of the package.

Just to keep the situation updated in the bug-log, Transmission didn't
enter the archive yet only because of some licence issues: there are
files in the package with different licences and I'm trying to find the
best way to deal with this.

Hopefully that'll happen soon enough.

Cheers, thanks for the packaging and the indirect "poke"

On Sun, 2006-06-11 at 02:32 +1000, James Healy wrote:
> In attempt to learn how to create a debian package I've created some
> packages for transmission v0.5.
> 
> I've found them useful - hopefully others might as well.
> 
> http://gir.deefa.com/debian/transmission/
> 
> James Healy
> 
-- 
Leo Antunes <costela@gmail.com>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, costela@debian.org:
Bug#358878; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "James Healy" <jimmy@deefa.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, costela@debian.org. Full text and rfc822 format available.

Message #24 received at 358878@bugs.debian.org (full text, mbox):

From: "James Healy" <jimmy@deefa.com>
To: "Leo Antunes" <costela@gmail.com>
Cc: 358878@bugs.debian.org
Subject: Re: Bug#358878: Transmission packaging attempt
Date: Mon, 12 Jun 2006 02:33:13 +1000
It wasn't too big a poke - as you mentioned, it was a dead simple
package for me to "cut my teeth on", as well as being an app that I
reguarly use.

Thanks for your work.

James

On 6/12/06, Leo Antunes <costela@gmail.com> wrote:
> I didn't take a look at you package, but I'm taking this mail as a poke
> about "why the hell isn't this in Debian yet" :-)
>
> The package I created is at
> http://people.debian.org/~costela/index.php?page=packages.php
> and I imagine it's not very different from yours, given the simplicity
> of the package.
>
> Just to keep the situation updated in the bug-log, Transmission didn't
> enter the archive yet only because of some licence issues: there are
> files in the package with different licences and I'm trying to find the
> best way to deal with this.
>
> Hopefully that'll happen soon enough.
>
> Cheers, thanks for the packaging and the indirect "poke"
>
> On Sun, 2006-06-11 at 02:32 +1000, James Healy wrote:
> > In attempt to learn how to create a debian package I've created some
> > packages for transmission v0.5.
> >
> > I've found them useful - hopefully others might as well.
> >
> > http://gir.deefa.com/debian/transmission/
> >
> > James Healy
> >
> --
> Leo Antunes <costela@gmail.com>
>
>



Message sent on to "Leo Costela" <costela@gmail.com>:
Bug#358878. Full text and rfc822 format available.

Message #27 received at 358878-submitter@bugs.debian.org (full text, mbox):

From: joshk@triplehelix.org (Joshua Kwan)
To: 358878-submitter@bugs.debian.org
Subject: license status
Date: Fri, 11 Aug 2006 20:36:20 -0700
Hi Leo,

Could you be more specific about the license problems? Josh Elsasser in
upstream says that the only licenses in Transmission are MIT/X11, LGPL,
and BSD-2, which should all be compatible with each other. Please
clarify.

Also, I am doing some upstream work, so I would humbly request to
comaintain this package with you.

Thanks,

-- 
Joshua Kwan



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, costela@debian.org:
Bug#358878; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philipp Benner <pbenner@uni-osnabrueck.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, costela@debian.org. Full text and rfc822 format available.

Message #32 received at 358878@bugs.debian.org (full text, mbox):

From: Philipp Benner <pbenner@uni-osnabrueck.de>
To: 358878@bugs.debian.org
Subject: new packages
Date: Thu, 14 Sep 2006 13:16:40 +0200
Hello,

to accelerate the progress of packageing transmission I started a new
try. The packages are at mentors.debian.net:
http://mentors.debian.net/debian/pool/main/t/transmission

I don't think that the mentioned license problems are major. Nevertheless,
some files are lincensed under other licenses but all are free. I listed
them in the copyright file. The only ambiguous part is the Sparkle tree
which I removed from the source package.

I don't think that there is a reason why this package should not enter the
archive.

Regards,

Philipp Benner



Information stored:
Bug#358878; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Leo Antunes <costela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #37 received at 358878-quiet@bugs.debian.org (full text, mbox):

From: Leo Antunes <costela@debian.org>
To: Joshua Kwan <joshk@triplehelix.org>, Philipp Benner <pbenner@uni-osnabrueck.de>, 358878-quiet@bugs.debian.org
Subject: Re: Bug#358878: license status
Date: Fri, 15 Sep 2006 23:30:08 -0300
[Message part 1 (text/plain, inline)]
Hey Joshua and Philip,

I'm taking the liberty of answering you both at the same time, since
everybody's interests are the same, if that's a problem, please let me
know.

I've been neglecting Transmission's packages for a while (for lack of
time and a better excuse ;-) ) and since you both have good reasons to
maintain this package, maybe you should co-maintain it, using Philipp's
package - which seems good - and Joshua's contacts upstream to help with
future bug handling. 

This is just a suggestion, of course, since you both have shown more
interest into creating the package them myself in the past weeks, you
certainly deserve to maintain it, but you sort out the best solution.

I would appreciate, though, if I could be included as an Uploader too,
since I'm still interested in packaging Transmission.

Well, what do you say?

Cheers

-- 
Leo Antunes <costela@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#358878; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philipp Benner <pbenner@uni-osnabrueck.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #42 received at 358878-quiet@bugs.debian.org (full text, mbox):

From: Philipp Benner <pbenner@uni-osnabrueck.de>
To: 358878-quiet@bugs.debian.org
Cc: joshk@triplehelix.org
Subject: Re: Bug#358878: license status
Date: Sat, 16 Sep 2006 14:44:18 +0200
[Message part 1 (text/plain, inline)]
Hi Leo and Joshua,

> I've been neglecting Transmission's packages for a while (for lack of
> time and a better excuse ;-) ) and since you both have good reasons to
> maintain this package, maybe you should co-maintain it, using Philipp's
> package - which seems good - and Joshua's contacts upstream to help with
> future bug handling. 
> 
> This is just a suggestion, of course, since you both have shown more
> interest into creating the package them myself in the past weeks, you
> certainly deserve to maintain it, but you sort out the best solution.

I think this is a good solution.

> I would appreciate, though, if I could be included as an Uploader too,
> since I'm still interested in packaging Transmission.

Of course. I added both of you as uploaders, is this ok?

Philipp
[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to <costela@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Leo Costela" <costela@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 358878-close@bugs.debian.org (full text, mbox):

From: <costela@debian.org>
To: 358878-close@bugs.debian.org
Subject: Bug#358878: fixed in transmission 0.6.1.dfsg-1
Date: Wed, 18 Oct 2006 08:34:29 -0700
Source: transmission
Source-Version: 0.6.1.dfsg-1

We believe that the bug you reported is fixed in the latest version of
transmission, which is due to be installed in the Debian FTP archive:

transmission_0.6.1.dfsg-1.diff.gz
  to pool/main/t/transmission/transmission_0.6.1.dfsg-1.diff.gz
transmission_0.6.1.dfsg-1.dsc
  to pool/main/t/transmission/transmission_0.6.1.dfsg-1.dsc
transmission_0.6.1.dfsg-1_i386.deb
  to pool/main/t/transmission/transmission_0.6.1.dfsg-1_i386.deb
transmission_0.6.1.dfsg.orig.tar.gz
  to pool/main/t/transmission/transmission_0.6.1.dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 358878@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
costela@debian.org (supplier of updated transmission package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 29 Aug 2006 20:50:41 +0200
Source: transmission
Binary: transmission
Architecture: source i386
Version: 0.6.1.dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Leo Costela <costela@debian.org>
Changed-By: costela@debian.org
Description: 
 transmission - free, lightweight BitTorrent client
Closes: 358878
Changes: 
 transmission (0.6.1.dfsg-1) unstable; urgency=low
 .
   * Initial release (Closes: #358878)
Files: 
 bc37ae74536e89fa82ee264c2bd54510 753 net optional transmission_0.6.1.dfsg-1.dsc
 cf07547d1e0dc518099365fb52ed2812 310338 net optional transmission_0.6.1.dfsg.orig.tar.gz
 a644ef818ce34b6fa291047470fce9b6 6215 net optional transmission_0.6.1.dfsg-1.diff.gz
 1b2b38bad2ea1f9faaa70819f6ec5d2d 142618 net optional transmission_0.6.1.dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFJbL2ImLTb3rflGYRAnpNAKCkRYWv0cWELwIsFVb3l9MxOAfXxQCgy8mm
5qAeR5nTH9rtd5g/6Eg9oLc=
=DdJJ
-----END PGP SIGNATURE-----




Reply sent to <costela@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Kevin Smith" <masterjediyoda@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 18:08:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:45:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.